# Poco::Data::MySQL

# class ResultMetadata

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/ResultMetadata.h

## Description

MySQL result metadata

## Member Summary

Member Functions: columnsReturned, init, isNull, length, metaColumn, rawData, reset, row

## Member Functions

### columnsReturned

Poco::UInt32 columnsReturned() const;

Returns the number of columns in resultset.

### init

void init(
MYSQL_STMT * stmt
);

Initializes the metadata.

### isNull

bool isNull(
std::size_t pos
) const;

Returns true if value at pos is null.

### length

std::size_t length(
std::size_t pos
) const;

Returns the length.

### metaColumn

const MetaColumn & metaColumn(
Poco::UInt32 pos
) const;

Returns the reference to the specified metacolumn.

### rawData

const char * rawData(
std::size_t pos
) const;

Returns raw data.

### reset

void reset();

Resets the metadata.

### row

MYSQL_BIND * row();

Returns pointer to native row.